# Uses of Class
org.apache.zookeeper.server.WorkerService.WorkRequest

Packages that use WorkerService.WorkRequest
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of WorkerService.WorkRequest in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server with parameters of type WorkerService.WorkRequest
Modifier and Type
Method
Description
`void`
WorkerService.`schedule(WorkerService.WorkRequest workRequest)`
Schedule work to be done.
`void`
WorkerService.`schedule(WorkerService.WorkRequest workRequest, long id)`
Schedule work to be done by the thread assigned to this id.